aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-header.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-12-12 15:13:35 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2018-12-14 13:18:12 +0000
commitd1cfb6956a205a502aa755b906dcc2d998540c6c (patch)
tree0273a06f36abdead19334e4022d77d88b87981ce /jjb/common/include-agl-header.sh
parentd56356a3f38fb97686141d36d6aec8f4c1342b96 (diff)
Support BUILDONLY job parameter
to select just a single machine. Change-Id: I76d884c800c7e130420e13b8d7d431803facfe7d Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/common/include-agl-header.sh')
-rw-r--r--jjb/common/include-agl-header.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/jjb/common/include-agl-header.sh b/jjb/common/include-agl-header.sh
index 946b2e92..091f9dd8 100644
--- a/jjb/common/include-agl-header.sh
+++ b/jjb/common/include-agl-header.sh
@@ -122,6 +122,16 @@ eval TARGETIMAGEnogfx="$TARGETIMAGEnogfx"
# The 'real' machine name
export TARGETMACHINE=${MACHINE}
+# bail out if we're not the 'BUILDONLY' machine
+if test -n "${BUILDONLY}" ; then
+ if test x"ignore" != x"${BUILDONLY}" ; then
+ if test x"${MACHINE}" != x"${BUILDONLY}" ; then
+ echo "Skipping ${MACHINE} as BUILDONLY is ${BUILDONLY}."
+ exit 1
+ fi
+ fi
+fi
+
# The exceptions
if $NOGFX; then
export TARGETIMAGE=${TARGETIMAGEnogfx}